Subject: bug#79058: 30.1; involking signal using emacsclient takes very long time to complete ~2 seconds

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Jul 2025 16:35:11 +0300

> From: Bror Winther <[email-masked]>
> Date: Tue, 22 Jul 2025 14:26:12 +0200
> Cc: [email-masked]
> 
> >> My understanding was that the error might not have been written by emacsclient to stderr and thus 
> >> we just wait and hope the user sees it. From your comment I guess we wait for the client to show
> >> it which makes a bit more sense.
> > 
> > No, we wait for the _server_ to show it in the client frame.
> 
> How does that work when the client frame is a tty? Not the sense of emacs in the terminal but
> using --eval.
> I’m asking to understand why we waiting in exactly that scenario is fitting.

Sorry, I don't understand the question.  Even if the client frame is a
tty, it is the Emacs server that displays there, not emacsclient.
emacsclient doesn't display anything on that frame, it just sends the
command to the server.

> > A variable has a doc string, so it is not undocumented.  It just isn't
> > a user option.
> 
> 
> Good point. The I concur, I’ll make a new patch.

Thanks.